{% set body_id = "index" %}
{# {% set title = "index" %} #}
{% extends "templates/default.njk" %}
{% block content %}

    <div class="hero">
        <div class="hero-text">
            <h1>Visualize Your <span class="color-effect">Colors</span><br/>On a Real Website</h1>
            <p class="subtitle">Choosing a color palette for your website?<br/>Use the Toolbar below to realize your choices.</p>
            <div class="hero-cta">
                <a href="#toolbar" onclick="highlightToolbar()" class="primary-button">Get Started</a>
                <a href="#how" class="secondary-button">How does it work?</a>
            </div>
            <div class="hero-scroll">
                <svg width="23" height="33" viewBox="0 0 23 33" fill="none">
                    <rect
                            x="0.767442"
                            y="0.767442"
                            width="20.7209"
                            height="31.4651"
                            rx="10.3605"
                            stroke="var(--primary)"
                            stroke-width="1.53488"/>
                    <rect x="9" y="8" width="4" height="8" rx="2" fill="var(--primary)"/>
                </svg>
                <p class="sub">Scroll to see more sections</p>
            </div>
        </div>
        <div class="hero-img">
            <a href="#mondrian-info" id="mondrian-info-icon">
                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" fill="none">
                    <path
                            d="M9.06818 14.2259V7.6804H10.8835V14.2259H9.06818ZM9.98011 6.83665C9.71023 6.83665 9.47869 6.74716 9.28551 6.56818C9.09517 6.38636 9 6.16903 9 5.91619C9 5.66619 9.09517 5.4517 9.28551 5.27273C9.47869 5.09091 9.71023 5 9.98011 5C10.25 5 10.4801 5.09091 10.6705 5.27273C10.8636 5.4517 10.9602 5.66619 10.9602 5.91619C10.9602 6.16903 10.8636 6.38636 10.6705 6.56818C10.4801 6.74716 10.25 6.83665 9.98011 6.83665Z"
                            fill="var(--primary)"
/>
                    <circle cx="10" cy="10" r="9.44118" stroke="var(--primary)" stroke-width="1.11765"/>
                </svg>
            </a>
            <svg xmlns="http://www.w3.org/2000/svg" width="652" height="644" viewBox="0 0 652 644" fill="none" class="mondrian">
                <rect opacity="0.05" x="1" width="163" height="60" rx="10" fill="var(--primary)"/>
                <rect x="424" width="193" height="60" rx="10" fill="var(--secbuttn)"/>
                <rect x="424" y="68" width="193" height="175" rx="10" fill="var(--secbuttn)"/>
                <rect opacity="0.2" x="424" y="401" width="193" height="79" rx="10" fill="var(--primbuttn)"/>
                <rect x="255" y="626" width="362" height="18" rx="9" fill="var(--secondary)"/>
                <rect x="80" y="579" width="166" height="65" rx="10" fill="var(--secondary)"/>
                <rect x="255" y="579" width="160" height="40" rx="10" fill="var(--primary)"/>
                <rect opacity="0.05" x="255" y="490" width="160" height="80" rx="10" fill="var(--primary)"/>
                <rect opacity="0.05" x="255" y="400" width="160" height="80" rx="10" fill="var(--primary)"/>
                <rect x="80" y="68" width="335" height="324" rx="10" fill="var(--primbuttn)"/>
                <rect x="80" y="401" width="166" height="169" rx="10" fill="var(--primary)"/>
                <rect x="424" y="490" width="193" height="129" rx="10" fill="var(--accent)"/>
                <rect x="626" y="490" width="26" height="154" rx="10" fill="var(--primbuttn)"/>
                <rect x="424" y="252" width="91" height="140" rx="10" fill="var(--secondary)"/>
                <rect x="524" y="252" width="93" height="140" rx="10" fill="var(--secondary)"/>
                <rect opacity="0.05" x="626" width="26" height="480" rx="10" fill="var(--primary)"/>
                <rect x="173" width="242" height="60" rx="10" fill="var(--secondary)"/>
                <rect x="1" y="68" width="70" height="157" rx="10" fill="var(--secondary)"/>
                <rect opacity="0.05" x="1" y="234" width="70" height="259" rx="10" fill="var(--primary)"/>
                <rect x="1" y="502" width="70" height="142" rx="10" fill="var(--secbuttn)"/>
            </svg>
        </div>
    </div>

    <main>
        <div class="part1" id="why">
            <h2>Why Realtime Colors?</h2>
            <div class="part1-cards">
                <div class="part1-card">
                    <svg width="117" height="117" viewBox="0 0 117 117" fill="none" style="z-index: 5" class="part1-card-img">
                        <circle cx="58.5" cy="58.5" r="58.5" fill="var(--secondary)"/>
                        <path
                                fill-rule="evenodd"
                                clip-rule="evenodd"
                                d="M89.4669 8.85912L58.0465 63.9419L2.44746 41.7023C9.66585 17.5806 32.0298 0 58.5 0C69.872 0 80.4861 3.24483 89.4669 8.85912Z"
                                fill="var(--accent)"
                                fill-opacity="0.6"
/>
                        <path d="M81.5 22.5L57.1395 64.8489L32 53.5" stroke="var(--primary)" stroke-width="7.25581"/>
                    </svg>
                    <p class="subtitle highlight">Saves time</p>
                    <p>No need to spend hours implementing different variations of colors. Decide right away!</p>
                    <div class="part1-card-bg"></div>
                </div>

                <div class="part1-card">
                    <svg width="112" height="114" viewBox="0 0 112 114" fill="none" style="z-index: 5" class="part1-card-img">
                        <rect width="58" height="58" fill="var(--secondary)"/>
                        <rect x="69" y="25" width="33" height="33" fill="var(--accent)" fill-opacity="0.6"/>
                        <rect x="69" y="71" width="43" height="43" fill="var(--primary)" fill-opacity="0.2"/>
                        <rect x="20" y="70" width="38" height="39" fill="var(--primary)"/>
                    </svg>
                    <p class="subtitle highlight">It’s Realistic</p>
                    <p>Color Palettes make it hard to pick. This tool distributes the colors on a real website.</p>
                    <div class="part1-card-bg"></div>
                </div>

                <div class="part1-card">
                    <svg width="179" height="89" viewBox="0 0 179 89" fill="none" style="z-index: 5" class="part1-card-img">
                        <rect y="26" width="154" height="63" fill="var(--accent)" fill-opacity="0.6"/>
                        <path d="M142 15.5V0" stroke="var(--primary)" stroke-width="8"/>
                        <path d="M163 34L178.5 34" stroke="var(--primary)" stroke-width="8"/>
                        <path d="M158 19.5L170.5 7" stroke="var(--primary)" stroke-width="8"/>
                        <path d="M63 54L74.5 65L95.5 44" stroke="var(--primary)" stroke-width="8"/>
                    </svg>
                    <p class="subtitle highlight">It’s simple</p>
                    <p>Push a few buttons, and there you have it! Your very own branding colors, ready to export.</p>
                    <div class="part1-card-bg"></div>
                </div>
            </div>
        </div>

        <div class="part2" id="how">
            <div class="part2-left">
                <h2>How Does it Work?</h2>
                <p>You’ll get your finalized color palette in 4 simple steps.</p>
            </div>
            <div class="part2-right">
                <p class="one step">Start with two neutral colors for the text and the background.</p>
                <p class="two step">
                        Choose your buttons. Primary is for main CTAs, and Secondary is for less important buttons and info cards.
                    </p>
                <p class="three step">
                        Accent color is an additional color. It appears in images, highlights, hyperlinks, boxes, cards, etc. It can be the
                        same as your third color (primary button) or another color.
                    </p>
                <p class="four step">
                        Happy with the results? Press on “Export” and receive a .zip file with your color palette in .png and your color
                        codes in .txt files.
                    </p>
            </div>
        </div>

        <div class="part3" id="sub">
            <div class="part3-heading">
                <h2>Plans & Pricing</h2>
                <p>The tool is 100% free! This is just a generic section.</p>
            </div>

            <div class="part3-cards">
                <div class="part3-card">
                    <div class="part3-card-text">
                        <div class="promo" style="visibility: hidden">
                            <p class="sub promo-text">None</p>
                        </div>
                        <h2>Basic</h2>
                        <p>Free</p>
                        <div class="part3-list">
                            <div class="list">
                                <svg width="29" height="22" viewBox="0 0 29 22" fill="none" class="check-icon">
                                    <path d="M3 9.72308L11.1385 17.8615L26 3" stroke="var(--accent)" stroke-width="5.66154"/>
                                </svg>
                                <p class="list-item">Choose any color</p>
                            </div>
                            <div class="list">
                                <svg width="29" height="22" viewBox="0 0 29 22" fill="none" class="check-icon">
                                    <path d="M3 9.72308L11.1385 17.8615L26 3" stroke="var(--accent)" stroke-width="5.66154"/>
                                </svg>
                                <p class="list-item">Export all you want</p>
                            </div>
                        </div>
                    </div>

                    <a href="#toolbar" onclick="highlightToolbar()" class="secondary-button">Get Started</a>
                    <div class="part3-bg"></div>
                </div>

                <div class="part3-card">
                    <div class="part3-card-text">
                        <div class="promo">
                            <svg width="27" height="28" viewBox="0 0 27 28" fill="none">
                                <path
                                        d="M13.5412 0.494507L14.6922 8.99311L19.4165 1.83551L16.7661 9.99186L24.1282 5.59291L18.2013 11.7915L26.7429 11.0225L18.7135 14.0357L26.7429 17.0489L18.2013 16.2799L24.1282 22.4785L16.7661 18.0796L19.4165 26.2359L14.6922 19.0783L13.5412 27.5769L12.3903 19.0783L7.6659 26.2359L10.3163 18.0796L2.95427 22.4785L8.88114 16.2799L0.339506 17.0489L8.36893 14.0357L0.339506 11.0225L8.88114 11.7915L2.95427 5.59291L10.3163 9.99186L7.6659 1.83551L12.3903 8.99311L13.5412 0.494507Z"
                                        fill="var(--primbuttn)"
/>
                            </svg>
                            <p class="sub promo-text">Most Popular</p>
                        </div>
                        <h2>Pro</h2>
                        <p>$0.00 / month</p>
                        <div class="part3-list">
                            <div class="list">
                                <svg width="29" height="22" viewBox="0 0 29 22" fill="none" class="check-icon">
                                    <path d="M3 9.72308L11.1385 17.8615L26 3" stroke="var(--accent)" stroke-width="5.66154"/>
                                </svg>
                                <p class="list-item">Choose any color</p>
                            </div>
                            <div class="list">
                                <svg width="29" height="22" viewBox="0 0 29 22" fill="none" class="check-icon">
                                    <path d="M3 9.72308L11.1385 17.8615L26 3" stroke="var(--accent)" stroke-width="5.66154"/>
                                </svg>
                                <p class="list-item">Export all you want</p>
                            </div>
                            <div class="list">
                                <svg width="29" height="22" viewBox="0 0 29 22" fill="none" class="check-icon">
                                    <path d="M3 9.72308L11.1385 17.8615L26 3" stroke="var(--accent)" stroke-width="5.66154"/>
                                </svg>
                                <p class="list-item">Get a big thank you for checking this site out</p>
                            </div>
                        </div>
                    </div>

                    <a href="#toolbar" onclick="highlightToolbar()" class="primary-button">Get Started</a>
                    <div class="part3-bg best"></div>
                </div>

                <div class="part3-card">
                    <div class="part3-card-text">
                        <div class="promo" style="visibility: hidden">
                            <p class="sub promo-text">None</p>
                        </div>
                        <h2>Enterprise</h2>
                        <p>$0.00 / month</p>
                        <div class="part3-list">
                            <div class="list">
                                <svg width="29" height="22" viewBox="0 0 29 22" fill="none" class="check-icon">
                                    <path d="M3 9.72308L11.1385 17.8615L26 3" stroke="var(--accent)" stroke-width="5.66154"/>
                                </svg>
                                <p class="list-item">Choose any color</p>
                            </div>
                            <div class="list">
                                <svg width="29" height="22" viewBox="0 0 29 22" fill="none" class="check-icon">
                                    <path d="M3 9.72308L11.1385 17.8615L26 3" stroke="var(--accent)" stroke-width="5.66154"/>
                                </svg>
                                <p class="list-item">Export all you want</p>
                            </div>
                            <div class="list">
                                <svg width="29" height="22" viewBox="0 0 29 22" fill="none" class="check-icon">
                                    <path d="M3 9.72308L11.1385 17.8615L26 3" stroke="var(--accent)" stroke-width="5.66154"/>
                                </svg>
                                <p class="list-item">Get a big thank you for checking this site out</p>
                            </div>
                            <div class="list">
                                <svg width="29" height="22" viewBox="0 0 29 22" fill="none" class="check-icon">
                                    <path d="M3 9.72308L11.1385 17.8615L26 3" stroke="var(--accent)" stroke-width="5.66154"/>
                                </svg>
                                <p class="list-item">Super duper exclusive chat via email</p>
                            </div>
                        </div>
                    </div>

                    <a href="mailto:juxtopposed.me@gmail.com" class="secondary-button">Contact</a>
                    <div class="part3-bg"></div>
                </div>
            </div>
        </div>

        <div class="part4" id="faq">
            <div class="part4-heading">
                <h2>FAQ</h2>
                <p>Answers to some questions you might have.</p>
            </div>

            <div class="faq">
                <div class="faq-q">
                    <h3>
                            What is the font picker?
                            <span
                                style="
                                    background-color: var(--primary);
                                    padding: 0.4em 0.4em 0.4em 0.2em;
                                    border-radius: 5px;
                                    font-size: 12px;
                                    color: var(--secondary);
                                "
                            >
                                New!</span
                            >
                    </h3>
                    <svg width="23" height="23" viewBox="0 0 23 23" fill="none" class="faq-icon">
                        <path d="M11.5 0L11.5 23" stroke="var(--accent)" stroke-width="6"/>
                        <path d="M23 11.5L-2.38419e-07 11.5" stroke="var(--accent)" stroke-width="6"/>
                    </svg>
                </div>
                <div class="faq-a">
                    <p>
                            Now, you can also upload your favorite font files and view them in real time, along with your favorite colors.
                            Seeing fonts in dummy texts might not be helpful with your decisions. So, now you can simulate the fonts on this
                            website.
                        </p>
                </div>
            </div>

            <div class="faq">
                <div class="faq-q">
                    <h3>
                            How should I use the font picker?
                            <span
                                style="
                                    background-color: var(--primary);
                                    padding: 0.4em 0.4em 0.4em 0.2em;
                                    border-radius: 5px;
                                    font-size: 12px;
                                    color: var(--secondary);
                                "
                            >
                                New!</span
                            >
                    </h3>
                    <svg width="23" height="23" viewBox="0 0 23 23" fill="none" class="faq-icon">
                        <path d="M11.5 0L11.5 23" stroke="var(--accent)" stroke-width="6"/>
                        <path d="M23 11.5L-2.38419e-07 11.5" stroke="var(--accent)" stroke-width="6"/>
                    </svg>
                </div>
                <div class="faq-a">
                    <p>
                            For now, you can find the file associated with your favorite font on the internet, download it, and upload it
                            here to view it. These files are often in the following formats: .otf, .ttf, .woff, or .woff2.<br/><br/>You
                            might want to use two different fonts for the headings and the texts, but if you don't, just upload the same
                            file for both the heading and the texts.
                        </p>
                </div>
            </div>

            <div class="faq-list">
                <div class="faq">
                    <div class="faq-q">
                        <h3>How many colors should I choose?</h3>
                        <svg width="23" height="23" viewBox="0 0 23 23" fill="none" class="faq-icon">
                            <path d="M11.5 0L11.5 23" stroke="var(--accent)" stroke-width="6"/>
                            <path d="M23 11.5L-2.38419e-07 11.5" stroke="var(--accent)" stroke-width="6"/>
                        </svg>
                    </div>
                    <div class="faq-a">
                        <p>
                                Normally, 3 colors are absolutely fine (meaning background, text, and one accent color).<br/>However, if
                                you want, you can have more. Usually, we don’t add more than 6 colors across a platform. It would just make
                                things too... complicated. Plus, it makes it hard to keep the colors consistent throughout the design.
                            </p>
                    </div>
                </div>

                <div class="faq">
                    <div class="faq-q">
                        <h3>Why does the text color change sometimes?</h3>
                        <svg width="23" height="23" viewBox="0 0 23 23" fill="none" class="faq-icon">
                            <path d="M11.5 0L11.5 23" stroke="var(--accent)" stroke-width="6"/>
                            <path d="M23 11.5L-2.38419e-07 11.5" stroke="var(--accent)" stroke-width="6"/>
                        </svg>
                    </div>
                    <div class="faq-a">
                        <p>
                                The tool is supposed to show you a realistic image of your colors of choice. However, sometimes, there might
                                be too little contrast between the background color and the text color of some elements. In that case, the
                                text color swaps accordingly to prevent the text from being unreadable. This is activated when the AA and
                                AAA color contrast check doesn’t pass. Keep in mind: The text color will only swap between the background
                                and text colors you’ve chosen to try and pass the contrast check. It won’t select any color outside of your
                                choices.
                            </p>
                    </div>
                </div>

                <div class="faq">
                    <div class="faq-q">
                        <h3>What will I receive after exporting my colors?</h3>
                        <svg width="23" height="23" viewBox="0 0 23 23" fill="none" class="faq-icon">
                            <path d="M11.5 0L11.5 23" stroke="var(--accent)" stroke-width="6"/>
                            <path d="M23 11.5L-2.38419e-07 11.5" stroke="var(--accent)" stroke-width="6"/>
                        </svg>
                    </div>
                    <div class="faq-a">
                        <p>
                                After exporting, you will receive a .zip file. This file is compressed, so you will have to extract it.<br/>After
                                extracting it, you will see a .png file and a .txt file. The .png image shows your color palette in squares
                                next to each other. The .txt file includes the color codes in HEX and RGB. You can send these files to
                                designers or developers, or just use them in your project.
                            </p>
                    </div>
                </div>

                <div class="faq">
                    <div class="faq-q">
                        <h3>Why do some colors have some transparency?</h3>
                        <svg width="23" height="23" viewBox="0 0 23 23" fill="none" class="faq-icon">
                            <path d="M11.5 0L11.5 23" stroke="var(--accent)" stroke-width="6"/>
                            <path d="M23 11.5L-2.38419e-07 11.5" stroke="var(--accent)" stroke-width="6"/>
                        </svg>
                    </div>
                    <div class="faq-a">
                        <p>
                                This website allows you to choose only opaque colors. However, to make the design more appealing, I’ve made
                                some parts more transparent by adding a bit of opacity to them. Of course, you can use these colors however
                                you want in your own projects.
                            </p>
                    </div>
                </div>

                <div class="faq mondrian-faq" id="mondrian-info">
                    <div class="faq-q">
                        <h3>What does the hero image represent?</h3>
                        <svg width="23" height="23" viewBox="0 0 23 23" fill="none" class="faq-icon mondrian-icon">
                            <path d="M11.5 0L11.5 23" stroke="var(--accent)" stroke-width="6"/>
                            <path d="M23 11.5L-2.38419e-07 11.5" stroke="var(--accent)" stroke-width="6"/>
                        </svg>
                    </div>
                    <div class="faq-a mondrian-answer">
                        <p>
                                The hero image is inspired by Piet Mondrian's
                                <b>Composition with Large Red Plane, Yellow, Black, Grey and Blue</b>. This composition keeps the ratio of
                                the main colors (red, blue, and yellow) very close to the 60-30-10 rule of UI design. This is mainly why
                                I've chosen this composition to visualize the distribution of the colors on the page.
                            </p>
                    </div>
                </div>

                <div class="faq">
                    <div class="faq-q">
                        <h3>How can I learn more about this tool?</h3>
                        <svg width="23" height="23" viewBox="0 0 23 23" fill="none" class="faq-icon">
                            <path d="M11.5 0L11.5 23" stroke="var(--accent)" stroke-width="6"/>
                            <path d="M23 11.5L-2.38419e-07 11.5" stroke="var(--accent)" stroke-width="6"/>
                        </svg>
                    </div>
                    <div class="faq-a">
                        <p>
                                You can find more information about Realtime Colors on the
                                <a href="about" target="_blank" class="link">About</a>
                                page. You can also
                                <a href="mailto:juxtopposed.me@gmail.com" target="_blank" class="link">email me</a>
                                any questions you might have.
                            </p>
                    </div>
                </div>
            </div>
        </div>

        <div class="part5" id="end">
            <h1>Your <span class="color-effect">Journey</span> Shouldn't End Here.</h1>
            <p class="subtitle">Follow me on social media to stay tuned on more projects.</p>
            <a href="https://twitter.com/juxtopposed" target="_blank" class="primary-button">Stay Tuned</a>
        </div>
    </main>

{% endblock %}

{% block scripts_after %}
    <script>
        // info about hero of homepage
        const mondrianInfoIcon = document.getElementById("mondrian-info-icon");
        const mondrianAnswer = document.querySelector(".mondrian-answer");
        const mondrianFAQIcon = document.querySelector(".mondrian-icon");

        mondrianInfoIcon.addEventListener("click", () => {
            mondrianAnswer
                .classList
                .add("expand");
            mondrianFAQIcon
                .classList
                .add("expand");
        });
    </script>
{% endblock %}